Listar cycles de uma assinatura
curl --request GET \
--url https://api.malga.io/v1/subscriptions/{id}/cycles \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/subscriptions/{id}/cycles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/subscriptions/{id}/cycles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01985cf8-9877-7c09-bbf6-2cceb3384a61",
"customerId": "2a8b64ce-904c-4256-b79a-49525808609c",
"merchantId": "225d39bc-1fbb-480a-90bd-f0caad05d2d0",
"cycle": 1,
"status": "authorized",
"createdAt": "2025-07-30T20:14:12.599715Z"
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalPages": 1,
"currentPage": 1
}
}Subscriptions
Listar cycles de uma assinatura
GET
/
v1
/
subscriptions
/
{id}
/
cycles
Listar cycles de uma assinatura
curl --request GET \
--url https://api.malga.io/v1/subscriptions/{id}/cycles \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/subscriptions/{id}/cycles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/subscriptions/{id}/cycles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01985cf8-9877-7c09-bbf6-2cceb3384a61",
"customerId": "2a8b64ce-904c-4256-b79a-49525808609c",
"merchantId": "225d39bc-1fbb-480a-90bd-f0caad05d2d0",
"cycle": 1,
"status": "authorized",
"createdAt": "2025-07-30T20:14:12.599715Z"
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalPages": 1,
"currentPage": 1
}
}Path Parameters
Id da assinatura
Query Parameters
Número máximo de items por página
Required range:
1 <= x <= 100Número da página
Required range:
x >= 1Related topics
Criação de uma nova assinaturaWebhooks v1.1Atualizar assinaturaRecuperar detalhes de assinaturaWas this page helpful?